//
// Module: BackscaleMaker
// Author: Richard Saxton 
//
// Description: Creates an ARF using arfgen
//
// Modifications: See ChangeLog
//
#ifndef BackscaleMaker_H
#define BackscaleMaker_H

/* General classes */
#include <iostream>

/* SAS-specific classes */
#include <Tracer.h>
#include <metatask.h>
#include <errstr.h>
#include <param.h>

/* Local Classes */

/****************************************************
 *
 * class BackscaleMaker
 *
 ***************************************************/

class BackscaleMaker
{
public:

  /* Constructor */
  BackscaleMaker(string spectrumfile, 
              bool withbadpixcorr, bool useodfatt,
              string badpixlocation);

  /* Destructor */
  ~BackscaleMaker();

};

#endif

