// This  skeleton file was automatically created by 
//            pkgmaker 0.1
//            Thursday, December 11 1997
// 
// Module: ARF
// Author: Richard Saxton
//
// Description: Provides an interface to ARF data
// 
// Comments: 
//  
// Modifications: See ChangeLog
// 
// $Id: ARF.h,v 1.1 2013/06/06 15:57:39 rsaxton Exp $

#ifndef ARF_H
#define ARF_H

// General classes
#include<cassert>

#include <string>
#include <iostream>
#include <vector>
#include <map>

// SAS-specific classes

#include "Dal.h"
#include "errstr.h"
#include "EnergySpectrum.h"

// Utility functions
#include "Tracer.h"

// -----------------------------------------------------------------------------------

// class ARF

// Supports data consisting of an energy, energy width and effective area

// -----------------------------------------------------------------------------------

class ARF : public EnergySpectrum {

public:

  /* Constructor - from a fluxed spectrum */
  ARF(const string & arfName);

  /* Destructor */
  ~ARF();

private:

  // Suppress default constructor
  ARF();

  // Variables

//   const int _LOWER_BOUND_VALUE = 0;
//   const int _UPPER_BOUND_VALUE = 0;

};


#endif




